--- title: "ボットからの回答取得" url: https://docs.catalyst.zoho.com/ja/api/code-reference/convokraft/fetch-answer-from-bot/ description: "このAPIは、ConvoKraftでSmartTrainを有効にした後、トレーニング済みボットから回答を取得するために使用されます。" last_updated: 2026-02-23T12:39:41Z service: ConvoKraft type: api --- # ボットからの回答取得 このAPIを使用すると、トランスクリプトクエリを送信してConvoKraftボットから回答を取得できます。ボットは質問を理解し、トレーニングに基づいた回答を返します。 以下のAPIを使用して、この機能をCatalystアプリケーションに統合できます。 ### リクエスト詳細 #### リクエストURL `POST` {api-domain}/convokraft/api/v1/bots/{production_botid}/answer - **api-domain** (URL): Catalyst APIにアクセスするためのDC固有ドメイン - **project_id** (Numerical): ボットが作成されたプロジェクトの[一意のID](https://docs.catalyst.zoho.com/ja/getting-started/set-up-a-catalyst-project/general-settings/) - **production_botid** (Numerical): 本番環境におけるConvoKraftボットの一意のID > **注意:** `production_botid`は、コンソールで環境がProductionに設定されている場合、ConvoKraftサービスのURLから直接取得できます。 例: https://console.catalyst.zoho.com/baas/v1/project/183272829220/Production#/convokraft/bots/3828281991118 ここで、**3828281991118**が`production_botid`です。 #### スコープ ZIAPlatform.Convokraft.RAG.CREATE #### リクエストヘッダー **Authorization:** Zoho-oauthtoken {oauth_token} **Content-Type:** application/json **CATALYST-ORG:** {org_id} **X-CATALYST-projectid:** {project id} **X-CATALYST-Environment:** Development > **注意:** リクエストヘッダー`CATALYST-Environment: Production`は、API操作が[Catalyst本番環境](https://docs.catalyst.zoho.com/ja/deployment-and-billing/environments/production-environment/)内のボットに対して実行されることを示します。 ### レスポンス詳細 このAPIは、学習素材に基づいてConvoKraftが提供する回答を、回答取得プロセスのステータスとともに返します。 **リクエスト例** ```bash curl -X POST \ https://api.catalyst.zoho.com/convokraft/api/v1/bots/92738220219110/answer \ -H 'Authorization: Zoho-oauthtoken 1000.910*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*16.2f*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*57' \ -H 'Content-Type: application/json' \ -H 'CATALYST-ORG: 372822922' \ -H 'X-CATALYST-projectid: 2728172727718' \ -H 'X-CATALYST-Environment: "Production"' \ -\-data '{ "transcript": { "message": "Explain Iphone 11 Specifications" } }' ``` **レスポンス例** ```json { "transcript": { "message": "The iPhone 11 is a sleek and powerful smartphone from Apple, featuring a 6.1-inch Liquid Retina HD display that offers vibrant colors and sharp detail. It's powered by the A13 Bionic chip, which ensures fast performance and smooth multitasking. Whether you're gaming, editing photos, or using apps, the iPhone 11 can handle it with ease. One of the standout features of the iPhone 11 is its camera system. It has a dual-camera setup, with a 12MP wide and ultra-wide lens, making it great for capturing detailed photos and videos. The Night Mode feature helps take clearer pictures in low-light environments, and it also supports 4K video recording at 60fps, allowing you to shoot high-quality videos.", "status": "action_completion" } } ```